Package org.eclipse.pde.core.plugin

# Interface IPluginModelFactory

All Superinterfaces:
  `IExtensionsModelFactory`

public interface IPluginModelFactory extends IExtensionsModelFactory
This factory should be used to create instances of the plug-in model objects.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`IPluginImport`
`createImport()`
Creates a new plug-in import
`IPluginLibrary`
`createLibrary()`
Creates a new library instance

### Methods inherited from interface org.eclipse.pde.core.plugin.IExtensionsModelFactory

`createAttribute, createElement, createExtension, createExtensionPoint`

## Method Details

### createImport

IPluginImport createImport()
Creates a new plug-in import

Returns:
  a new plug-in import instance

### createLibrary

IPluginLibrary createLibrary()
Creates a new library instance

Returns:
  a new library instance